# Procurar atendimento

## Atributos

```javascript
[
    {
        "name": "find_contact",
        "parameters": {
            "field": "<nome_da_variável_contato>",
            "value": "<valor_da_variável_contato>"
        },
        "result_variable": "find_contact_response"
    }
]
```

* **name:** find\_contact
* **parameters:**
  * **field:** nome da variável de contato a ser consultada. São permitidas as seguintes variáveis: `identifier`, `external_id`, `email`, `phone`, `cpf`, `identification_number`, `identification_number2`, `identification_number3`, `identification_number4`
  * **value:** valor para variável de contato, informada em `field`
* **result\_variable:** variável de contexto que receberá o resultado da operação. O retorno será, além do código da operação, unicamente o identificador do atendimento. Para usar esse identificador: `$find_contact_response.contact.identifier`

Em caso de sucesso, essa variável conterá o seguinte JSON:

```javascript
{
    "code": 200,
    "contact": {
        "identifier": "<identificador do atendimento>"
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altu.d1.cx/build/assistentes/builder/componentes/actions/find_contact.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
